<template>
  <div class="work-time-statistics">
    <div class="search">
      <div class="search_thing">
				<div class="search_label">日期：</div>
				<div class="search_input" style="display: flex;align-items: center;">
          <el-date-picker
            v-model="componentData.entity.month"
            type="month"
            format="yyyy-MM"
            value-format="yyyy"
            placeholder="选择月" size="small" style="width: 100%;">
          </el-date-picker>
        </div>
			</div>
			<div class="search_thing">
				<div class="search_label">员工：</div>
				<el-select v-model="componentData.entity.name" placeholder="全部" size="small" @change="refreshTable()">
					<el-option v-for="item in personList" :key="item.id" :label="item.name" :value="item.id">
					</el-option>
				</el-select>
			</div>
			<div class="search_thing">
				<div class="search_label">部门：</div>
				<div class="search_input">
          <!-- <el-select v-model="componentData.entity.laboratory" placeholder="全部" size="small" @change="refreshTable()">
            <el-option v-for="item in weekList" :key="item.value" :label="item.label" :value="item.value">
            </el-option>
          </el-select> -->
          <el-input size="small" placeholder="请输入" clearable
						v-model="componentData.entity.departLims" @keyup.enter.native="refreshTable()"></el-input>
        </div>
			</div>
			<div class="search_thing" style="padding-left: 30px;width: 100px;">
				<el-button size="small" @click="refresh()">重 置</el-button>
				<el-button size="small" type="primary" @click="refreshTable()">查 询</el-button>
			</div>
      <el-button size="small" type="primary" style="position: absolute;right: 50px;" @click="handleDown">导 出</el-button>
      <el-button size="small" type="primary" style="position: absolute;right: 120px;" @click="handleUp" v-show="currentTable == 'value0'">导 入</el-button>
		</div>
    <el-radio-group v-model="currentTable" size="small" :key="'111'" style="margin-top: 10px;">
      <el-radio-button label="value0">
        原始工时
      </el-radio-button>
      <el-radio-button label="value1">
        修正工时
      </el-radio-button>
    </el-radio-group>
    <div class="table">
      <ValueTable ref="ValueTable0"
        v-show="currentTable == 'value0'"
				:url="$api.auxiliaryWorkingHours.selectAuxiliaryWorkingHours"
				:componentData="componentData" :inputUrl="$api.auxiliaryWorkingHours.selectAuxiliaryWorkingHours" :downUrl="$api.auxiliaryWorkingHours.selectAuxiliaryWorkingHours" :key="upIndex" />
      <ValueTable ref="ValueTable1"
        v-if="currentTable == 'value1'"
				:url="$api.auxiliaryCorrectionHours.selectAuxiliaryCorrectionHours"
				:componentData="componentData0" :key="upIndex" />
    </div>
  </div>
</template>

<script>
import ValueTable from '../../tool/value-table.vue'
import {
		getYearAndMonthAndDays
	} from '../../../util/date'
export default {
  components: {
    ValueTable
  },
  data () {
    return{
      componentData: {
					entity: {
						month: null,
						name: null,
						departLims: null,
						orderBy: {
							field: 'id',
							order: 'desc'
						}
					},
					isIndex: true,
					showSelect: false,
					select: false,
					do: [],
					tagField: {
						deviceStatus: {
							select: []
						},
						equipmentManager: {
							select: []
						},
						authorizedPerson: {
							select: []
						},
            insProductIds:{
              select:[]
            }
					},
					linkEvent: {
						deviceName: {
							method: 'selectAllByOne'
						}
					},
					selectField: {
						authorizedPerson: {
							select: [],
							choose: true
						},
						equipmentManager: {
							select: []
						},
            insProductIds:{
              select:[],
              choose: true
            }
					},
					requiredAdd: [],
					requiredUp: []
			},
      componentData0: {
					entity: {
						month: getYearAndMonthAndDays().split('-')[0]+'-'+getYearAndMonthAndDays().split('-')[1],
						name: null,
						departLims: null,
						orderBy: {
							field: 'id',
							order: 'desc'
						}
					},
					isIndex: true,
					showSelect: false,
					select: false,
					do: [],
					tagField: {
						deviceStatus: {
							select: []
						},
						equipmentManager: {
							select: []
						},
						authorizedPerson: {
							select: []
						},
            insProductIds:{
              select:[]
            }
					},
					linkEvent: {
						deviceName: {
							method: 'selectAllByOne'
						}
					},
					selectField: {
						authorizedPerson: {
							select: [],
							choose: true
						},
						equipmentManager: {
							select: []
						},
            insProductIds:{
              select:[],
              choose: true
            }
					},
					requiredAdd: [],
					requiredUp: []
			},
      entity:{},
      upIndex:0,
      weekList:[],
      personList:[],
      currentTable:'value0'
    }
  },
  mounted(){
    this.getUsers()
  },
  methods: {
    getYearAndMonthAndDays(date){
      return getYearAndMonthAndDays(date)
    },
    refresh(){},
    refreshTable(){},
    getUsers(){
      this.$axios.post(this.$api.user.selectUserList, {
					page: {
            current: -1,
            size: -1,
          },
					entity: {
            name: null,
          }
				}, {
					headers: {
						'Content-Type': 'application/json'
					}
				}).then(res => {
					if (res.code === 201) {
						return
					}
          let arr = res.data.body.records
          this.personList = arr
        })
    },
    handleDown(){
      if(this.currentTable == 'value0'){
        this.$refs.ValueTable0.downFile(false)
      }else{
        this.$refs.ValueTable1.downFile(false)
      }
    },
    handleUp(){
      this.$refs.ValueTable0.openUpload()
    }
  }
}
</script>

<style scoped>
.work-time-statistics{
  height: 100%;
}
.search {
		background-color: #fff;
		height: 80px;
		display: flex;
		align-items: center;
	}

	.search_thing {
		width: 270px;
		display: flex;
		align-items: center;
	}

	.search_label {
		width: 60px;
		font-size: 14px;
		text-align: right;
	}

	.search_input {
		width: calc(100% - 60px);
	}
  .table {
		margin-top: 10px;
		background-color: #fff;
		width: calc(100% - 40px);
		height: calc(100% - 60px - 80px - 10px - 40px - 25px);
		padding: 20px;
	}
</style>
